<?php

/* DCMS Special
 * Дата последнего редактирования 25.09.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$set['title'] = lang('Мини чат - Кто здесь?'); // заголовок страницы
require_once H . 'sys/inc/thead.php';

aut();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/mini_chat/'>" . lang('Мини чат') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Кто в чате');
echo "</small></div><br />";

$k_post = $db->super_query("SELECT COUNT(id) as count FROM `user` WHERE `date_last` > '" . (time() - 100) . "' AND `url` like '/modules/mini_chat/%'");
$k_post = $k_post['count'];
$k_page = k_page($k_post, $set['p_str']);
$page = page($k_page);
$start = $set['p_str'] * $page - $set['p_str'];

if ($k_post == 0) {
    $doc->NoResult();
}

$q = $db->query("SELECT id FROM `user` WHERE `date_last` > '" . (time() - 100) . "' AND `url` like '/modules/mini_chat/%' ORDER BY `date_last` DESC LIMIT $start, $set[p_str]");

while ($ank = $db->get_row($q)) {
    echo "<table class='list-group-item-null'><tr><td class='icon14'>";
    avatar($ank['id'], '30', 'border-radius: 2px;');
    echo "</td><td class='null'>";
    user($ank['id']);
    echo "</td></tr></table>";
    echo "<div class='hr'></div>";
}

if ($k_page > 1) {
    str('who.php?', $k_page, $page);
}

require_once H . 'sys/inc/tfoot.php';
